Get Plans

Use this API to get the list of available plans.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/ps/api/v1/public/plans
Production [PROD]https://api.pluralpay.in/ps/api/v1/public/plans
Query Params
string

Unique identifier for the subscription plan in the Plural database.

Example: v1-plan-4405071524-aa-qlAtAf

string

The ISO 8601 UTC Timestamp after which details should be returned.

Example: 2022-02-01T17:32:28Z

string

The ISO 8601 UTC Timestamp before which details should be returned.

Example: 2022-09-21T17:32:28Z

amount
object

An object that contains the amount details.

string
enum

Specifies the condition used to compare the transaction amount against a defined reference value.

  • isMore
  • isLess
  • isEqual

Allowed:
string

Frequency of recurring transactions for this particular plan.

  • Day
  • Week
  • Month
  • Year
  • Bi-Monthly
  • Quarterly
  • Half-Yearly
  • AS (As & When Presented)
  • OT (One Time)
  • Not Applicable
Example:Day

int32

Number of items per page.

Example: 10

int32

Page number.

Example: 2

string

Sorting order for results.

Example: frequency,asc

Headers
string
Defaults to application/json

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant